Skip to content

Delete a teamspace

DELETE/api/v1/workspaces/{workspace_slug}/teamspaces/{resource_id}/

Delete a teamspace by its ID

Path Parameters

resource_id:requiredstring

The unique identifier of the resource.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

teamspace_id:requiredstring

The unique identifier of the teamspace.

Scopes

teamspaces:write

Delete a teamspace
bash
curl -X DELETE \
  "https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/resource-id-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response204

No response body.